## secureboot-db 1.1~ubuntu0.12.04.1

=== debian/changelog ===
secureboot-db (1.1~ubuntu0.12.04.1) precise-proposed; urgency=low

  * backport for precise

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 04 Feb 2013 15:32:35 -0600

secureboot-db (1.1) raring-proposed; urgency=low

  * debian/control: use 'Architecture: any-amd64 any-i386' since armhf can't
    install sbsigntool and this package Depends on sbsigntool

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 04 Feb 2013 15:04:58 -0600

secureboot-db (1.0~ubuntu0.12.04.1) precise-proposed; urgency=low

  * backport for precise

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Dec 2012 17:03:01 -0600

secureboot-db (1.0) raring-proposed; urgency=low

  * Initial release (LP: #1081700)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 03 Dec 2012 16:55:00 -0600

## secureboot-db 1.1~ubuntu0.12.10.1

=== debian/changelog ===
secureboot-db (1.1~ubuntu0.12.10.1) quantal-proposed; urgency=low

  * backport for quantal

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 04 Feb 2013 15:30:53 -0600

secureboot-db (1.0~ubuntu0.12.10.1) quantal-proposed; urgency=low

  * backport for quantal

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Dec 2012 17:00:19 -0600

## secureboot-db 1.1

=== Makefile ===
all:
check:
clean:

=== debian/control ===
Source: secureboot-db
Section: utils
Priority: optional
Maintainer: Jamie Strandboge <jamie@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3

Package: secureboot-db
Architecture: any-amd64 any-i386
Depends: ${misc:Depends}, sbsigntool
Description: Secure Boot updates for DB and DBX
 Systems with Secure Boot enabled have portions of the system signed by entries
 in the Secure Boot DB. This package provides a mechanism for delivering
 updates to DB and the corresponding blacklist database, DBX.

## secureboot-db 1.4~ubuntu0.14.04.1

=== debian/changelog ===
secureboot-db (1.4~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport secureboot-db from cosmic to apply the August 2016 dbx updates
    from Microsoft.  LP: #1776996.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Oct 2018 11:20:34 -0700

secureboot-db (1.4) cosmic; urgency=medium

  * Update maintainer field, since Jamie is no longer on the hook for this.
    Thanks, Jamie!
  * Ignore failures from chattr calls (since we already ignore failures from
    sbkeysync itself), to allow the package to install in a container.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Sep 2018 13:12:50 -0700

secureboot-db (1.3) cosmic; urgency=medium

  * Handle the case where the database variable does not yet exist at all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Sep 2018 00:55:56 -0700

secureboot-db (1.2) cosmic; urgency=medium

  * Apply the August 2016 dbx updates from Microsoft.  LP: #1776996.
  * chattr -i the EFI variables before trying to call sbkeysync, since the
    kernel now has these files immutable by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Sep 2018 23:35:21 -0700

## secureboot-db 1.4~ubuntu0.16.04.1

=== debian/changelog ===
secureboot-db (1.4~ubuntu0.16.04.1) xenial; urgency=medium

  * Backport secureboot-db from cosmic to apply the August 2016 dbx updates
    from Microsoft.  LP: #1776996.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Oct 2018 11:20:34 -0700

## secureboot-db 1.4~ubuntu0.18.04.1

=== debian/changelog ===
secureboot-db (1.4~ubuntu0.18.04.1) bionic; urgency=medium

  * Backport secureboot-db from cosmic to apply the August 2016 dbx updates
    from Microsoft.  LP: #1776996.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Oct 2018 11:20:34 -0700

## secureboot-db 1.4.1~ubuntu0.16.04.1

=== debian/changelog ===
secureboot-db (1.4.1~ubuntu0.16.04.1) xenial; urgency=medium

  * Backport changes from bionic's 1.4
  * Ship MS 2020 split arch dbx updates.  LP: #1890835
  * Add arm64 architecture.
  * Add breaks on grub-efi-$arch-signed less than security pocket.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Aug 2020 00:02:06 +0100

=== debian/control ===
Source: secureboot-db
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3

Package: secureboot-db
Architecture: any-amd64 any-i386 any-arm64
Depends: ${misc:Depends}, sbsigntool
Breaks: grub-efi-amd64-signed (<< 1.66.27+2.02~beta2-36ubuntu3.27), grub-efi-arm64-signed (<< 1.66.27+2.02~beta2-36ubuntu3.27)
Description: Secure Boot updates for DB and DBX
 Systems with Secure Boot enabled have portions of the system signed by entries
 in the Secure Boot DB. This package provides a mechanism for delivering
 updates to DB and the corresponding blacklist database, DBX.

## secureboot-db 1.5

=== debian/changelog ===
secureboot-db (1.5) eoan; urgency=medium

  * Add secureboot-db.service to apply updates at boot (LP: #1791370)
  * Delete postinst script, as systemd service is started postinst by dh

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Jul 2019 17:36:02 +0200

=== debian/control ===
Source: secureboot-db
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3

Package: secureboot-db
Architecture: any-amd64 any-i386
Depends: ${misc:Depends}, sbsigntool
Description: Secure Boot updates for DB and DBX
 Systems with Secure Boot enabled have portions of the system signed by entries
 in the Secure Boot DB. This package provides a mechanism for delivering
 updates to DB and the corresponding blacklist database, DBX.

## secureboot-db 1.6~20.04.1

=== debian/changelog ===
secureboot-db (1.6~20.04.1) focal; urgency=medium

  * Ship MS 2020 split arch dbx updates. LP: #1890835
  * Add arm64 architecture.
  * Add breaks on grub-efi-$arch-signed less than security pocket.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jul 2020 00:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Standards-Version: 3.9.3
 
 Package: secureboot-db
-Architecture: any-amd64 any-i386
+Architecture: any-amd64 any-i386 any-arm64
 Depends: ${misc:Depends}, sbsigntool
+Breaks: grub-efi-amd64-signed (<< 1.142.4+2.04-1ubuntu26.2), grub-efi-arm64-signed (<< 1.142.4+2.04-1ubuntu26.2)
 Description: Secure Boot updates for DB and DBX
  Systems with Secure Boot enabled have portions of the system signed by entries
  in the Secure Boot DB. This package provides a mechanism for delivering

## secureboot-db 1.8

=== debian/changelog ===
secureboot-db (1.8) groovy; urgency=medium

  * Roll back the dbx updates to the version prior to 1.6 (the 2020 MS
    updates) due to concerns raised about breaking compatibility with Fedora
    whose current shim is blacklisted by the new update.  Updates will be
    rolled out again later in a coordinated fashion.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Oct 2020 13:15:23 -0700

secureboot-db (1.7) groovy; urgency=medium

  * secureboot-db.service: Ignore sbkeysync failures, which is expected
    to occur with some firmware.

 -- dann frazier <dannf@ubuntu.com>  Wed, 26 Aug 2020 15:56:04 -0400

secureboot-db (1.6) groovy; urgency=medium

  * Ship MS 2020 split arch dbx updates. LP: #1890835
  * Add arm64 architecture.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jul 2020 00:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Package: secureboot-db
 Architecture: any-amd64 any-i386 any-arm64
 Depends: ${misc:Depends}, sbsigntool
-Breaks: grub-efi-amd64-signed (<< 1.142.4+2.04-1ubuntu26.2), grub-efi-arm64-signed (<< 1.142.4+2.04-1ubuntu26.2)
 Description: Secure Boot updates for DB and DBX
  Systems with Secure Boot enabled have portions of the system signed by entries
  in the Secure Boot DB. This package provides a mechanism for delivering

## secureboot-db 1.9

=== debian/changelog ===
secureboot-db (1.9) noble; urgency=medium

  * Update packaging to debhelper 13
  * Update dbx to 2023-05-09 release LP: #2043138
  * CVE-2022-21894

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 09 Nov 2023 21:20:08 +0200

## secureboot-db 1.9build1

=== debian/changelog ===
secureboot-db (1.9build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 3.9.3
 
 Package: secureboot-db

## secureboot-db 1.9build2

=== debian/changelog ===
secureboot-db (1.9build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 15:13:57 +0100
